{-
Copyright (C) 2015 John MacFarlane <jgm@berkeley.edu>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-}

{- |
   Module      : Text.Pandoc.Emoji
   Copyright   : Copyright (C) 2015 John MacFarlane
   License     : GNU GPL, version 2 or above

   Maintainer  : John MacFarlane <jgm@berkeley.edu>
   Stability   : alpha
   Portability : portable

Emoji symbol lookup from canonical string identifier.
-}
module Text.Pandoc.Emoji ( emojis ) where
import qualified Data.Map as M

emojis :: M.Map String String
emojis = M.fromList
  [ ("100", "\x1f4af")
  , ("1234", "\x1f522")
  , ("smile", "\x1f604")
  , ("smiley", "\x1f603")
  , ("grinning", "\x1f600")
  , ("blush", "\x1f60a")
  , ("relaxed", "\x263a\fe0f")
  , ("wink", "\x1f609")
  , ("heart_eyes", "\x1f60d")
  , ("kissing_heart", "\x1f618")
  , ("kissing_closed_eyes", "\x1f61a")
  , ("kissing", "\x1f617")
  , ("kissing_smiling_eyes", "\x1f619")
  , ("stuck_out_tongue_winking_eye", "\x1f61c")
  , ("stuck_out_tongue_closed_eyes", "\x1f61d")
  , ("stuck_out_tongue", "\x1f61b")
  , ("flushed", "\x1f633")
  , ("grin", "\x1f601")
  , ("pensive", "\x1f614")
  , ("relieved", "\x1f60c")
  , ("unamused", "\x1f612")
  , ("disappointed", "\x1f61e")
  , ("persevere", "\x1f623")
  , ("cry", "\x1f622")
  , ("joy", "\x1f602")
  , ("sob", "\x1f62d")
  , ("sleepy", "\x1f62a")
  , ("disappointed_relieved", "\x1f625")
  , ("cold_sweat", "\x1f630")
  , ("sweat_smile", "\x1f605")
  , ("sweat", "\x1f613")
  , ("weary", "\x1f629")
  , ("tired_face", "\x1f62b")
  , ("fearful", "\x1f628")
  , ("scream", "\x1f631")
  , ("angry", "\x1f620")
  , ("rage", "\x1f621")
  , ("triumph", "\x1f624")
  , ("confounded", "\x1f616")
  , ("laughing", "\x1f606")
  , ("satisfied", "\x1f606")
  , ("yum", "\x1f60b")
  , ("mask", "\x1f637")
  , ("sunglasses", "\x1f60e")
  , ("sleeping", "\x1f634")
  , ("dizzy_face", "\x1f635")
  , ("astonished", "\x1f632")
  , ("worried", "\x1f61f")
  , ("frowning", "\x1f626")
  , ("anguished", "\x1f627")
  , ("smiling_imp", "\x1f608")
  , ("imp", "\x1f47f")
  , ("open_mouth", "\x1f62e")
  , ("grimacing", "\x1f62c")
  , ("neutral_face", "\x1f610")
  , ("confused", "\x1f615")
  , ("hushed", "\x1f62f")
  , ("no_mouth", "\x1f636")
  , ("innocent", "\x1f607")
  , ("smirk", "\x1f60f")
  , ("expressionless", "\x1f611")
  , ("man_with_gua_pi_mao", "\x1f472")
  , ("man_with_turban", "\x1f473")
  , ("cop", "\x1f46e")
  , ("construction_worker", "\x1f477")
  , ("guardsman", "\x1f482")
  , ("baby", "\x1f476")
  , ("boy", "\x1f466")
  , ("girl", "\x1f467")
  , ("man", "\x1f468")
  , ("woman", "\x1f469")
  , ("older_man", "\x1f474")
  , ("older_woman", "\x1f475")
  , ("person_with_blond_hair", "\x1f471")
  , ("angel", "\x1f47c")
  , ("princess", "\x1f478")
  , ("smiley_cat", "\x1f63a")
  , ("smile_cat", "\x1f638")
  , ("heart_eyes_cat", "\x1f63b")
  , ("kissing_cat", "\x1f63d")
  , ("smirk_cat", "\x1f63c")
  , ("scream_cat", "\x1f640")
  , ("crying_cat_face", "\x1f63f")
  , ("joy_cat", "\x1f639")
  , ("pouting_cat", "\x1f63e")
  , ("japanese_ogre", "\x1f479")
  , ("japanese_goblin", "\x1f47a")
  , ("see_no_evil", "\x1f648")
  , ("hear_no_evil", "\x1f649")
  , ("speak_no_evil", "\x1f64a")
  , ("skull", "\x1f480")
  , ("alien", "\x1f47d")
  , ("hankey", "\x1f4a9")
  , ("poop", "\x1f4a9")
  , ("shit", "\x1f4a9")
  , ("fire", "\x1f525")
  , ("sparkles", "\x2728")
  , ("star2", "\x1f31f")
  , ("dizzy", "\x1f4ab")
  , ("boom", "\x1f4a5")
  , ("collision", "\x1f4a5")
  , ("anger", "\x1f4a2")
  , ("sweat_drops", "\x1f4a6")
  , ("droplet", "\x1f4a7")
  , ("zzz", "\x1f4a4")
  , ("dash", "\x1f4a8")
  , ("ear", "\x1f442")
  , ("eyes", "\x1f440")
  , ("nose", "\x1f443")
  , ("tongue", "\x1f445")
  , ("lips", "\x1f444")
  , ("+1", "\x1f44d")
  , ("thumbsup", "\x1f44d")
  , ("-1", "\x1f44e")
  , ("thumbsdown", "\x1f44e")
  , ("ok_hand", "\x1f44c")
  , ("facepunch", "\x1f44a")
  , ("punch", "\x1f44a")
  , ("fist", "\x270a")
  , ("v", "\x270c\fe0f")
  , ("wave", "\x1f44b")
  , ("hand", "\x270b")
  , ("raised_hand", "\x270b")
  , ("open_hands", "\x1f450")
  , ("point_up_2", "\x1f446")
  , ("point_down", "\x1f447")
  , ("point_right", "\x1f449")
  , ("point_left", "\x1f448")
  , ("raised_hands", "\x1f64c")
  , ("pray", "\x1f64f")
  , ("point_up", "\x261d\fe0f")
  , ("clap", "\x1f44f")
  , ("muscle", "\x1f4aa")
  , ("walking", "\x1f6b6")
  , ("runner", "\x1f3c3")
  , ("running", "\x1f3c3")
  , ("dancer", "\x1f483")
  , ("couple", "\x1f46b")
  , ("family", "\x1f46a")
  , ("two_men_holding_hands", "\x1f46c")
  , ("two_women_holding_hands", "\x1f46d")
  , ("couplekiss", "\x1f48f")
  , ("couple_with_heart", "\x1f491")
  , ("dancers", "\x1f46f")
  , ("ok_woman", "\x1f646")
  , ("no_good", "\x1f645")
  , ("information_desk_person", "\x1f481")
  , ("raising_hand", "\x1f64b")
  , ("massage", "\x1f486")
  , ("haircut", "\x1f487")
  , ("nail_care", "\x1f485")
  , ("bride_with_veil", "\x1f470")
  , ("person_with_pouting_face", "\x1f64e")
  , ("person_frowning", "\x1f64d")
  , ("bow", "\x1f647")
  , ("tophat", "\x1f3a9")
  , ("crown", "\x1f451")
  , ("womans_hat", "\x1f452")
  , ("athletic_shoe", "\x1f45f")
  , ("mans_shoe", "\x1f45e")
  , ("shoe", "\x1f45e")
  , ("sandal", "\x1f461")
  , ("high_heel", "\x1f460")
  , ("boot", "\x1f462")
  , ("shirt", "\x1f455")
  , ("tshirt", "\x1f455")
  , ("necktie", "\x1f454")
  , ("womans_clothes", "\x1f45a")
  , ("dress", "\x1f457")
  , ("running_shirt_with_sash", "\x1f3bd")
  , ("jeans", "\x1f456")
  , ("kimono", "\x1f458")
  , ("bikini", "\x1f459")
  , ("briefcase", "\x1f4bc")
  , ("handbag", "\x1f45c")
  , ("pouch", "\x1f45d")
  , ("purse", "\x1f45b")
  , ("eyeglasses", "\x1f453")
  , ("ribbon", "\x1f380")
  , ("closed_umbrella", "\x1f302")
  , ("lipstick", "\x1f484")
  , ("yellow_heart", "\x1f49b")
  , ("blue_heart", "\x1f499")
  , ("purple_heart", "\x1f49c")
  , ("green_heart", "\x1f49a")
  , ("heart", "\x2764\fe0f")
  , ("broken_heart", "\x1f494")
  , ("heartpulse", "\x1f497")
  , ("heartbeat", "\x1f493")
  , ("two_hearts", "\x1f495")
  , ("sparkling_heart", "\x1f496")
  , ("revolving_hearts", "\x1f49e")
  , ("cupid", "\x1f498")
  , ("love_letter", "\x1f48c")
  , ("kiss", "\x1f48b")
  , ("ring", "\x1f48d")
  , ("gem", "\x1f48e")
  , ("bust_in_silhouette", "\x1f464")
  , ("busts_in_silhouette", "\x1f465")
  , ("speech_balloon", "\x1f4ac")
  , ("footprints", "\x1f463")
  , ("thought_balloon", "\x1f4ad")
  , ("dog", "\x1f436")
  , ("wolf", "\x1f43a")
  , ("cat", "\x1f431")
  , ("mouse", "\x1f42d")
  , ("hamster", "\x1f439")
  , ("rabbit", "\x1f430")
  , ("frog", "\x1f438")
  , ("tiger", "\x1f42f")
  , ("koala", "\x1f428")
  , ("bear", "\x1f43b")
  , ("pig", "\x1f437")
  , ("pig_nose", "\x1f43d")
  , ("cow", "\x1f42e")
  , ("boar", "\x1f417")
  , ("monkey_face", "\x1f435")
  , ("monkey", "\x1f412")
  , ("horse", "\x1f434")
  , ("sheep", "\x1f411")
  , ("elephant", "\x1f418")
  , ("panda_face", "\x1f43c")
  , ("penguin", "\x1f427")
  , ("bird", "\x1f426")
  , ("baby_chick", "\x1f424")
  , ("hatched_chick", "\x1f425")
  , ("hatching_chick", "\x1f423")
  , ("chicken", "\x1f414")
  , ("snake", "\x1f40d")
  , ("turtle", "\x1f422")
  , ("bug", "\x1f41b")
  , ("bee", "\x1f41d")
  , ("honeybee", "\x1f41d")
  , ("ant", "\x1f41c")
  , ("beetle", "\x1f41e")
  , ("snail", "\x1f40c")
  , ("octopus", "\x1f419")
  , ("shell", "\x1f41a")
  , ("tropical_fish", "\x1f420")
  , ("fish", "\x1f41f")
  , ("dolphin", "\x1f42c")
  , ("flipper", "\x1f42c")
  , ("whale", "\x1f433")
  , ("whale2", "\x1f40b")
  , ("cow2", "\x1f404")
  , ("ram", "\x1f40f")
  , ("rat", "\x1f400")
  , ("water_buffalo", "\x1f403")
  , ("tiger2", "\x1f405")
  , ("rabbit2", "\x1f407")
  , ("dragon", "\x1f409")
  , ("racehorse", "\x1f40e")
  , ("goat", "\x1f410")
  , ("rooster", "\x1f413")
  , ("dog2", "\x1f415")
  , ("pig2", "\x1f416")
  , ("mouse2", "\x1f401")
  , ("ox", "\x1f402")
  , ("dragon_face", "\x1f432")
  , ("blowfish", "\x1f421")
  , ("crocodile", "\x1f40a")
  , ("camel", "\x1f42b")
  , ("dromedary_camel", "\x1f42a")
  , ("leopard", "\x1f406")
  , ("cat2", "\x1f408")
  , ("poodle", "\x1f429")
  , ("feet", "\x1f43e")
  , ("paw_prints", "\x1f43e")
  , ("bouquet", "\x1f490")
  , ("cherry_blossom", "\x1f338")
  , ("tulip", "\x1f337")
  , ("four_leaf_clover", "\x1f340")
  , ("rose", "\x1f339")
  , ("sunflower", "\x1f33b")
  , ("hibiscus", "\x1f33a")
  , ("maple_leaf", "\x1f341")
  , ("leaves", "\x1f343")
  , ("fallen_leaf", "\x1f342")
  , ("herb", "\x1f33f")
  , ("ear_of_rice", "\x1f33e")
  , ("mushroom", "\x1f344")
  , ("cactus", "\x1f335")
  , ("palm_tree", "\x1f334")
  , ("evergreen_tree", "\x1f332")
  , ("deciduous_tree", "\x1f333")
  , ("chestnut", "\x1f330")
  , ("seedling", "\x1f331")
  , ("blossom", "\x1f33c")
  , ("globe_with_meridians", "\x1f310")
  , ("sun_with_face", "\x1f31e")
  , ("full_moon_with_face", "\x1f31d")
  , ("new_moon_with_face", "\x1f31a")
  , ("new_moon", "\x1f311")
  , ("waxing_crescent_moon", "\x1f312")
  , ("first_quarter_moon", "\x1f313")
  , ("moon", "\x1f314")
  , ("waxing_gibbous_moon", "\x1f314")
  , ("full_moon", "\x1f315")
  , ("waning_gibbous_moon", "\x1f316")
  , ("last_quarter_moon", "\x1f317")
  , ("waning_crescent_moon", "\x1f318")
  , ("last_quarter_moon_with_face", "\x1f31c")
  , ("first_quarter_moon_with_face", "\x1f31b")
  , ("crescent_moon", "\x1f319")
  , ("earth_africa", "\x1f30d")
  , ("earth_americas", "\x1f30e")
  , ("earth_asia", "\x1f30f")
  , ("volcano", "\x1f30b")
  , ("milky_way", "\x1f30c")
  , ("stars", "\x1f320")
  , ("star", "\x2b50")
  , ("sunny", "\x2600\fe0f")
  , ("partly_sunny", "\x26c5")
  , ("cloud", "\x2601\fe0f")
  , ("zap", "\x26a1")
  , ("umbrella", "\x2614")
  , ("snowflake", "\x2744\fe0f")
  , ("snowman", "\x26c4")
  , ("cyclone", "\x1f300")
  , ("foggy", "\x1f301")
  , ("rainbow", "\x1f308")
  , ("ocean", "\x1f30a")
  , ("bamboo", "\x1f38d")
  , ("gift_heart", "\x1f49d")
  , ("dolls", "\x1f38e")
  , ("school_satchel", "\x1f392")
  , ("mortar_board", "\x1f393")
  , ("flags", "\x1f38f")
  , ("fireworks", "\x1f386")
  , ("sparkler", "\x1f387")
  , ("wind_chime", "\x1f390")
  , ("rice_scene", "\x1f391")
  , ("jack_o_lantern", "\x1f383")
  , ("ghost", "\x1f47b")
  , ("santa", "\x1f385")
  , ("christmas_tree", "\x1f384")
  , ("gift", "\x1f381")
  , ("tanabata_tree", "\x1f38b")
  , ("tada", "\x1f389")
  , ("confetti_ball", "\x1f38a")
  , ("balloon", "\x1f388")
  , ("crossed_flags", "\x1f38c")
  , ("crystal_ball", "\x1f52e")
  , ("movie_camera", "\x1f3a5")
  , ("camera", "\x1f4f7")
  , ("video_camera", "\x1f4f9")
  , ("vhs", "\x1f4fc")
  , ("cd", "\x1f4bf")
  , ("dvd", "\x1f4c0")
  , ("minidisc", "\x1f4bd")
  , ("floppy_disk", "\x1f4be")
  , ("computer", "\x1f4bb")
  , ("iphone", "\x1f4f1")
  , ("phone", "\x260e\fe0f")
  , ("telephone", "\x260e\fe0f")
  , ("telephone_receiver", "\x1f4de")
  , ("pager", "\x1f4df")
  , ("fax", "\x1f4e0")
  , ("satellite", "\x1f4e1")
  , ("tv", "\x1f4fa")
  , ("radio", "\x1f4fb")
  , ("loud_sound", "\x1f50a")
  , ("sound", "\x1f509")
  , ("speaker", "\x1f508")
  , ("mute", "\x1f507")
  , ("bell", "\x1f514")
  , ("no_bell", "\x1f515")
  , ("loudspeaker", "\x1f4e2")
  , ("mega", "\x1f4e3")
  , ("hourglass_flowing_sand", "\x23f3")
  , ("hourglass", "\x231b")
  , ("alarm_clock", "\x23f0")
  , ("watch", "\x231a")
  , ("unlock", "\x1f513")
  , ("lock", "\x1f512")
  , ("lock_with_ink_pen", "\x1f50f")
  , ("closed_lock_with_key", "\x1f510")
  , ("key", "\x1f511")
  , ("mag_right", "\x1f50e")
  , ("bulb", "\x1f4a1")
  , ("flashlight", "\x1f526")
  , ("high_brightness", "\x1f506")
  , ("low_brightness", "\x1f505")
  , ("electric_plug", "\x1f50c")
  , ("battery", "\x1f50b")
  , ("mag", "\x1f50d")
  , ("bathtub", "\x1f6c1")
  , ("bath", "\x1f6c0")
  , ("shower", "\x1f6bf")
  , ("toilet", "\x1f6bd")
  , ("wrench", "\x1f527")
  , ("nut_and_bolt", "\x1f529")
  , ("hammer", "\x1f528")
  , ("door", "\x1f6aa")
  , ("smoking", "\x1f6ac")
  , ("bomb", "\x1f4a3")
  , ("gun", "\x1f52b")
  , ("hocho", "\x1f52a")
  , ("knife", "\x1f52a")
  , ("pill", "\x1f48a")
  , ("syringe", "\x1f489")
  , ("moneybag", "\x1f4b0")
  , ("yen", "\x1f4b4")
  , ("dollar", "\x1f4b5")
  , ("pound", "\x1f4b7")
  , ("euro", "\x1f4b6")
  , ("credit_card", "\x1f4b3")
  , ("money_with_wings", "\x1f4b8")
  , ("calling", "\x1f4f2")
  , ("e-mail", "\x1f4e7")
  , ("inbox_tray", "\x1f4e5")
  , ("outbox_tray", "\x1f4e4")
  , ("email", "\x2709\fe0f")
  , ("envelope", "\x2709\fe0f")
  , ("envelope_with_arrow", "\x1f4e9")
  , ("incoming_envelope", "\x1f4e8")
  , ("postal_horn", "\x1f4ef")
  , ("mailbox", "\x1f4eb")
  , ("mailbox_closed", "\x1f4ea")
  , ("mailbox_with_mail", "\x1f4ec")
  , ("mailbox_with_no_mail", "\x1f4ed")
  , ("postbox", "\x1f4ee")
  , ("package", "\x1f4e6")
  , ("memo", "\x1f4dd")
  , ("pencil", "\x1f4dd")
  , ("page_facing_up", "\x1f4c4")
  , ("page_with_curl", "\x1f4c3")
  , ("bookmark_tabs", "\x1f4d1")
  , ("bar_chart", "\x1f4ca")
  , ("chart_with_upwards_trend", "\x1f4c8")
  , ("chart_with_downwards_trend", "\x1f4c9")
  , ("scroll", "\x1f4dc")
  , ("clipboard", "\x1f4cb")
  , ("date", "\x1f4c5")
  , ("calendar", "\x1f4c6")
  , ("card_index", "\x1f4c7")
  , ("file_folder", "\x1f4c1")
  , ("open_file_folder", "\x1f4c2")
  , ("scissors", "\x2702\fe0f")
  , ("pushpin", "\x1f4cc")
  , ("paperclip", "\x1f4ce")
  , ("black_nib", "\x2712\fe0f")
  , ("pencil2", "\x270f\fe0f")
  , ("straight_ruler", "\x1f4cf")
  , ("triangular_ruler", "\x1f4d0")
  , ("closed_book", "\x1f4d5")
  , ("green_book", "\x1f4d7")
  , ("blue_book", "\x1f4d8")
  , ("orange_book", "\x1f4d9")
  , ("notebook", "\x1f4d3")
  , ("notebook_with_decorative_cover", "\x1f4d4")
  , ("ledger", "\x1f4d2")
  , ("books", "\x1f4da")
  , ("book", "\x1f4d6")
  , ("open_book", "\x1f4d6")
  , ("bookmark", "\x1f516")
  , ("name_badge", "\x1f4db")
  , ("microscope", "\x1f52c")
  , ("telescope", "\x1f52d")
  , ("newspaper", "\x1f4f0")
  , ("art", "\x1f3a8")
  , ("clapper", "\x1f3ac")
  , ("microphone", "\x1f3a4")
  , ("headphones", "\x1f3a7")
  , ("musical_score", "\x1f3bc")
  , ("musical_note", "\x1f3b5")
  , ("notes", "\x1f3b6")
  , ("musical_keyboard", "\x1f3b9")
  , ("violin", "\x1f3bb")
  , ("trumpet", "\x1f3ba")
  , ("saxophone", "\x1f3b7")
  , ("guitar", "\x1f3b8")
  , ("space_invader", "\x1f47e")
  , ("video_game", "\x1f3ae")
  , ("black_joker", "\x1f0cf")
  , ("flower_playing_cards", "\x1f3b4")
  , ("mahjong", "\x1f004")
  , ("game_die", "\x1f3b2")
  , ("dart", "\x1f3af")
  , ("football", "\x1f3c8")
  , ("basketball", "\x1f3c0")
  , ("soccer", "\x26bd")
  , ("baseball", "\x26be\fe0f")
  , ("tennis", "\x1f3be")
  , ("8ball", "\x1f3b1")
  , ("rugby_football", "\x1f3c9")
  , ("bowling", "\x1f3b3")
  , ("golf", "\x26f3")
  , ("mountain_bicyclist", "\x1f6b5")
  , ("bicyclist", "\x1f6b4")
  , ("checkered_flag", "\x1f3c1")
  , ("horse_racing", "\x1f3c7")
  , ("trophy", "\x1f3c6")
  , ("ski", "\x1f3bf")
  , ("snowboarder", "\x1f3c2")
  , ("swimmer", "\x1f3ca")
  , ("surfer", "\x1f3c4")
  , ("fishing_pole_and_fish", "\x1f3a3")
  , ("coffee", "\x2615")
  , ("tea", "\x1f375")
  , ("sake", "\x1f376")
  , ("baby_bottle", "\x1f37c")
  , ("beer", "\x1f37a")
  , ("beers", "\x1f37b")
  , ("cocktail", "\x1f378")
  , ("tropical_drink", "\x1f379")
  , ("wine_glass", "\x1f377")
  , ("fork_and_knife", "\x1f374")
  , ("pizza", "\x1f355")
  , ("hamburger", "\x1f354")
  , ("fries", "\x1f35f")
  , ("poultry_leg", "\x1f357")
  , ("meat_on_bone", "\x1f356")
  , ("spaghetti", "\x1f35d")
  , ("curry", "\x1f35b")
  , ("fried_shrimp", "\x1f364")
  , ("bento", "\x1f371")
  , ("sushi", "\x1f363")
  , ("fish_cake", "\x1f365")
  , ("rice_ball", "\x1f359")
  , ("rice_cracker", "\x1f358")
  , ("rice", "\x1f35a")
  , ("ramen", "\x1f35c")
  , ("stew", "\x1f372")
  , ("oden", "\x1f362")
  , ("dango", "\x1f361")
  , ("egg", "\x1f373")
  , ("bread", "\x1f35e")
  , ("doughnut", "\x1f369")
  , ("custard", "\x1f36e")
  , ("icecream", "\x1f366")
  , ("ice_cream", "\x1f368")
  , ("shaved_ice", "\x1f367")
  , ("birthday", "\x1f382")
  , ("cake", "\x1f370")
  , ("cookie", "\x1f36a")
  , ("chocolate_bar", "\x1f36b")
  , ("candy", "\x1f36c")
  , ("lollipop", "\x1f36d")
  , ("honey_pot", "\x1f36f")
  , ("apple", "\x1f34e")
  , ("green_apple", "\x1f34f")
  , ("tangerine", "\x1f34a")
  , ("lemon", "\x1f34b")
  , ("cherries", "\x1f352")
  , ("grapes", "\x1f347")
  , ("watermelon", "\x1f349")
  , ("strawberry", "\x1f353")
  , ("peach", "\x1f351")
  , ("melon", "\x1f348")
  , ("banana", "\x1f34c")
  , ("pear", "\x1f350")
  , ("pineapple", "\x1f34d")
  , ("sweet_potato", "\x1f360")
  , ("eggplant", "\x1f346")
  , ("tomato", "\x1f345")
  , ("corn", "\x1f33d")
  , ("house", "\x1f3e0")
  , ("house_with_garden", "\x1f3e1")
  , ("school", "\x1f3eb")
  , ("office", "\x1f3e2")
  , ("post_office", "\x1f3e3")
  , ("hospital", "\x1f3e5")
  , ("bank", "\x1f3e6")
  , ("convenience_store", "\x1f3ea")
  , ("love_hotel", "\x1f3e9")
  , ("hotel", "\x1f3e8")
  , ("wedding", "\x1f492")
  , ("church", "\x26ea")
  , ("department_store", "\x1f3ec")
  , ("european_post_office", "\x1f3e4")
  , ("city_sunrise", "\x1f307")
  , ("city_sunset", "\x1f306")
  , ("japanese_castle", "\x1f3ef")
  , ("european_castle", "\x1f3f0")
  , ("tent", "\x26fa")
  , ("factory", "\x1f3ed")
  , ("tokyo_tower", "\x1f5fc")
  , ("japan", "\x1f5fe")
  , ("mount_fuji", "\x1f5fb")
  , ("sunrise_over_mountains", "\x1f304")
  , ("sunrise", "\x1f305")
  , ("night_with_stars", "\x1f303")
  , ("statue_of_liberty", "\x1f5fd")
  , ("bridge_at_night", "\x1f309")
  , ("carousel_horse", "\x1f3a0")
  , ("ferris_wheel", "\x1f3a1")
  , ("fountain", "\x26f2")
  , ("roller_coaster", "\x1f3a2")
  , ("ship", "\x1f6a2")
  , ("boat", "\x26f5")
  , ("sailboat", "\x26f5")
  , ("speedboat", "\x1f6a4")
  , ("rowboat", "\x1f6a3")
  , ("anchor", "\x2693")
  , ("rocket", "\x1f680")
  , ("airplane", "\x2708\fe0f")
  , ("seat", "\x1f4ba")
  , ("helicopter", "\x1f681")
  , ("steam_locomotive", "\x1f682")
  , ("tram", "\x1f68a")
  , ("station", "\x1f689")
  , ("mountain_railway", "\x1f69e")
  , ("train2", "\x1f686")
  , ("bullettrain_side", "\x1f684")
  , ("bullettrain_front", "\x1f685")
  , ("light_rail", "\x1f688")
  , ("metro", "\x1f687")
  , ("monorail", "\x1f69d")
  , ("train", "\x1f68b")
  , ("railway_car", "\x1f683")
  , ("trolleybus", "\x1f68e")
  , ("bus", "\x1f68c")
  , ("oncoming_bus", "\x1f68d")
  , ("blue_car", "\x1f699")
  , ("oncoming_automobile", "\x1f698")
  , ("car", "\x1f697")
  , ("red_car", "\x1f697")
  , ("taxi", "\x1f695")
  , ("oncoming_taxi", "\x1f696")
  , ("articulated_lorry", "\x1f69b")
  , ("truck", "\x1f69a")
  , ("rotating_light", "\x1f6a8")
  , ("police_car", "\x1f693")
  , ("oncoming_police_car", "\x1f694")
  , ("fire_engine", "\x1f692")
  , ("ambulance", "\x1f691")
  , ("minibus", "\x1f690")
  , ("bike", "\x1f6b2")
  , ("aerial_tramway", "\x1f6a1")
  , ("suspension_railway", "\x1f69f")
  , ("mountain_cableway", "\x1f6a0")
  , ("tractor", "\x1f69c")
  , ("barber", "\x1f488")
  , ("busstop", "\x1f68f")
  , ("ticket", "\x1f3ab")
  , ("vertical_traffic_light", "\x1f6a6")
  , ("traffic_light", "\x1f6a5")
  , ("warning", "\x26a0\fe0f")
  , ("construction", "\x1f6a7")
  , ("beginner", "\x1f530")
  , ("fuelpump", "\x26fd")
  , ("izakaya_lantern", "\x1f3ee")
  , ("lantern", "\x1f3ee")
  , ("slot_machine", "\x1f3b0")
  , ("hotsprings", "\x2668\fe0f")
  , ("moyai", "\x1f5ff")
  , ("circus_tent", "\x1f3aa")
  , ("performing_arts", "\x1f3ad")
  , ("round_pushpin", "\x1f4cd")
  , ("triangular_flag_on_post", "\x1f6a9")
  , ("jp", "\x1f1ef\1f1f5")
  , ("kr", "\x1f1f0\1f1f7")
  , ("de", "\x1f1e9\1f1ea")
  , ("cn", "\x1f1e8\1f1f3")
  , ("us", "\x1f1fa\1f1f8")
  , ("fr", "\x1f1eb\1f1f7")
  , ("es", "\x1f1ea\1f1f8")
  , ("it", "\x1f1ee\1f1f9")
  , ("ru", "\x1f1f7\1f1fa")
  , ("gb", "\x1f1ec\1f1e7")
  , ("uk", "\x1f1ec\1f1e7")
  , ("one", "1\fe0f\20e3")
  , ("two", "2\fe0f\20e3")
  , ("three", "3\fe0f\20e3")
  , ("four", "4\fe0f\20e3")
  , ("five", "5\fe0f\20e3")
  , ("six", "6\fe0f\20e3")
  , ("seven", "7\fe0f\20e3")
  , ("eight", "8\fe0f\20e3")
  , ("nine", "9\fe0f\20e3")
  , ("zero", "0\fe0f\20e3")
  , ("keycap_ten", "\x1f51f")
  , ("hash", "#\fe0f\20e3")
  , ("symbols", "\x1f523")
  , ("arrow_up", "\x2b06\fe0f")
  , ("arrow_down", "\x2b07\fe0f")
  , ("arrow_left", "\x2b05\fe0f")
  , ("arrow_right", "\x27a1\fe0f")
  , ("capital_abcd", "\x1f520")
  , ("abcd", "\x1f521")
  , ("abc", "\x1f524")
  , ("arrow_upper_right", "\x2197\fe0f")
  , ("arrow_upper_left", "\x2196\fe0f")
  , ("arrow_lower_right", "\x2198\fe0f")
  , ("arrow_lower_left", "\x2199\fe0f")
  , ("left_right_arrow", "\x2194\fe0f")
  , ("arrow_up_down", "\x2195\fe0f")
  , ("arrows_counterclockwise", "\x1f504")
  , ("arrow_backward", "\x25c0\fe0f")
  , ("arrow_forward", "\x25b6\fe0f")
  , ("arrow_up_small", "\x1f53c")
  , ("arrow_down_small", "\x1f53d")
  , ("leftwards_arrow_with_hook", "\x21a9\fe0f")
  , ("arrow_right_hook", "\x21aa\fe0f")
  , ("information_source", "\x2139\fe0f")
  , ("rewind", "\x23ea")
  , ("fast_forward", "\x23e9")
  , ("arrow_double_up", "\x23eb")
  , ("arrow_double_down", "\x23ec")
  , ("arrow_heading_down", "\x2935\fe0f")
  , ("arrow_heading_up", "\x2934\fe0f")
  , ("ok", "\x1f197")
  , ("twisted_rightwards_arrows", "\x1f500")
  , ("repeat", "\x1f501")
  , ("repeat_one", "\x1f502")
  , ("new", "\x1f195")
  , ("up", "\x1f199")
  , ("cool", "\x1f192")
  , ("free", "\x1f193")
  , ("ng", "\x1f196")
  , ("signal_strength", "\x1f4f6")
  , ("cinema", "\x1f3a6")
  , ("koko", "\x1f201")
  , ("u6307", "\x1f22f")
  , ("u7a7a", "\x1f233")
  , ("u6e80", "\x1f235")
  , ("u5408", "\x1f234")
  , ("u7981", "\x1f232")
  , ("ideograph_advantage", "\x1f250")
  , ("u5272", "\x1f239")
  , ("u55b6", "\x1f23a")
  , ("u6709", "\x1f236")
  , ("u7121", "\x1f21a")
  , ("restroom", "\x1f6bb")
  , ("mens", "\x1f6b9")
  , ("womens", "\x1f6ba")
  , ("baby_symbol", "\x1f6bc")
  , ("wc", "\x1f6be")
  , ("potable_water", "\x1f6b0")
  , ("put_litter_in_its_place", "\x1f6ae")
  , ("parking", "\x1f17f\fe0f")
  , ("wheelchair", "\x267f")
  , ("no_smoking", "\x1f6ad")
  , ("u6708", "\x1f237\fe0f")
  , ("u7533", "\x1f238")
  , ("sa", "\x1f202\fe0f")
  , ("m", "\x24c2\fe0f")
  , ("passport_control", "\x1f6c2")
  , ("baggage_claim", "\x1f6c4")
  , ("left_luggage", "\x1f6c5")
  , ("customs", "\x1f6c3")
  , ("accept", "\x1f251")
  , ("secret", "\x3299\fe0f")
  , ("congratulations", "\x3297\fe0f")
  , ("cl", "\x1f191")
  , ("sos", "\x1f198")
  , ("id", "\x1f194")
  , ("no_entry_sign", "\x1f6ab")
  , ("underage", "\x1f51e")
  , ("no_mobile_phones", "\x1f4f5")
  , ("do_not_litter", "\x1f6af")
  , ("non-potable_water", "\x1f6b1")
  , ("no_bicycles", "\x1f6b3")
  , ("no_pedestrians", "\x1f6b7")
  , ("children_crossing", "\x1f6b8")
  , ("no_entry", "\x26d4")
  , ("eight_spoked_asterisk", "\x2733\fe0f")
  , ("sparkle", "\x2747\fe0f")
  , ("negative_squared_cross_mark", "\x274e")
  , ("white_check_mark", "\x2705")
  , ("eight_pointed_black_star", "\x2734\fe0f")
  , ("heart_decoration", "\x1f49f")
  , ("vs", "\x1f19a")
  , ("vibration_mode", "\x1f4f3")
  , ("mobile_phone_off", "\x1f4f4")
  , ("a", "\x1f170\fe0f")
  , ("b", "\x1f171\fe0f")
  , ("ab", "\x1f18e")
  , ("o2", "\x1f17e\fe0f")
  , ("diamond_shape_with_a_dot_inside", "\x1f4a0")
  , ("loop", "\x27bf")
  , ("recycle", "\x267b\fe0f")
  , ("aries", "\x2648")
  , ("taurus", "\x2649")
  , ("gemini", "\x264a")
  , ("cancer", "\x264b")
  , ("leo", "\x264c")
  , ("virgo", "\x264d")
  , ("libra", "\x264e")
  , ("scorpius", "\x264f")
  , ("sagittarius", "\x2650")
  , ("capricorn", "\x2651")
  , ("aquarius", "\x2652")
  , ("pisces", "\x2653")
  , ("ophiuchus", "\x26ce")
  , ("six_pointed_star", "\x1f52f")
  , ("atm", "\x1f3e7")
  , ("chart", "\x1f4b9")
  , ("heavy_dollar_sign", "\x1f4b2")
  , ("currency_exchange", "\x1f4b1")
  , ("copyright", "©\fe0f")
  , ("registered", "®\fe0f")
  , ("tm", "\x2122\fe0f")
  , ("x", "\x274c")
  , ("bangbang", "\x203c\fe0f")
  , ("interrobang", "\x2049\fe0f")
  , ("exclamation", "\x2757")
  , ("heavy_exclamation_mark", "\x2757")
  , ("question", "\x2753")
  , ("grey_exclamation", "\x2755")
  , ("grey_question", "\x2754")
  , ("o", "\x2b55")
  , ("top", "\x1f51d")
  , ("end", "\x1f51a")
  , ("back", "\x1f519")
  , ("on", "\x1f51b")
  , ("soon", "\x1f51c")
  , ("arrows_clockwise", "\x1f503")
  , ("clock12", "\x1f55b")
  , ("clock1230", "\x1f567")
  , ("clock1", "\x1f550")
  , ("clock130", "\x1f55c")
  , ("clock2", "\x1f551")
  , ("clock230", "\x1f55d")
  , ("clock3", "\x1f552")
  , ("clock330", "\x1f55e")
  , ("clock4", "\x1f553")
  , ("clock430", "\x1f55f")
  , ("clock5", "\x1f554")
  , ("clock530", "\x1f560")
  , ("clock6", "\x1f555")
  , ("clock7", "\x1f556")
  , ("clock8", "\x1f557")
  , ("clock9", "\x1f558")
  , ("clock10", "\x1f559")
  , ("clock11", "\x1f55a")
  , ("clock630", "\x1f561")
  , ("clock730", "\x1f562")
  , ("clock830", "\x1f563")
  , ("clock930", "\x1f564")
  , ("clock1030", "\x1f565")
  , ("clock1130", "\x1f566")
  , ("heavy_multiplication_x", "\x2716\fe0f")
  , ("heavy_plus_sign", "\x2795")
  , ("heavy_minus_sign", "\x2796")
  , ("heavy_division_sign", "\x2797")
  , ("spades", "\x2660\fe0f")
  , ("hearts", "\x2665\fe0f")
  , ("clubs", "\x2663\fe0f")
  , ("diamonds", "\x2666\fe0f")
  , ("white_flower", "\x1f4ae")
  , ("heavy_check_mark", "\x2714\fe0f")
  , ("ballot_box_with_check", "\x2611\fe0f")
  , ("radio_button", "\x1f518")
  , ("link", "\x1f517")
  , ("curly_loop", "\x27b0")
  , ("wavy_dash", "\x3030\fe0f")
  , ("part_alternation_mark", "\x303d\fe0f")
  , ("trident", "\x1f531")
  , ("black_medium_square", "\x25fc\fe0f")
  , ("white_medium_square", "\x25fb\fe0f")
  , ("black_medium_small_square", "\x25fe")
  , ("white_medium_small_square", "\x25fd")
  , ("black_small_square", "\x25aa\fe0f")
  , ("white_small_square", "\x25ab\fe0f")
  , ("small_red_triangle", "\x1f53a")
  , ("black_square_button", "\x1f532")
  , ("white_square_button", "\x1f533")
  , ("black_circle", "\x26ab")
  , ("white_circle", "\x26aa")
  , ("red_circle", "\x1f534")
  , ("large_blue_circle", "\x1f535")
  , ("small_red_triangle_down", "\x1f53b")
  , ("white_large_square", "\x2b1c")
  , ("black_large_square", "\x2b1b")
  , ("large_orange_diamond", "\x1f536")
  , ("large_blue_diamond", "\x1f537")
  , ("small_orange_diamond", "\x1f538")
  , ("small_blue_diamond", "\x1f539")
  ]
